package mvvm;

/**
 * Created by zhangjierui on 2022/9/14
 */
public class BLEStateEvent {
    public static final int  CONNECT_SUCCESS = 1; //连接成功
    public static final int  AUTH_SUCCESS = 2; //鉴权成功
    public static final int  CONNECT_FAIL = -3; //其他状态都是连接失败
    public static final int  DISCONNECTED = -4; //断开连接

    public int state;
    public String mac;

    public BLEStateEvent(int state) {
        this.state = state;
    }

    public BLEStateEvent(int state, String mac) {
        this.state = state;
        this.mac = mac;
    }

    @Override
    public String toString() {
        return "BLEStateEvent{" +
                "state=" + state +
                ", mac='" + mac + '\'' +
                '}';
    }
}
